Extending Qt Creator Manual | SnapshotSymbolVisitor

Extending Qt Creator Manual 4.5.2

# SnapshotSymbolVisitor Class

(CPlusPlus::SnapshotSymbolVisitor)

- List of all members, including inherited members

## Public Functions

| SnapshotSymbolVisitor(const Snapshot &snapshot)
void | accept(Document::Ptr doc)

## Protected Functions

void | accept(Document::Ptr doc, QSet<QString> *processed)

## Member Function Documentation

### SnapshotSymbolVisitor::SnapshotSymbolVisitor(const Snapshot &snapshot)

Default constructs an instance of SnapshotSymbolVisitor.

### void SnapshotSymbolVisitor::accept(Document::Ptr doc)

### `[protected]` void SnapshotSymbolVisitor::accept(Document::Ptr doc, QSet<QString> *processed)